---
title: "Find engagement recipients"
url: https://docs.gleap.ai/en/reference/rest-api/find-engagement-recipients
method: GET
path: "/engagements/{engagementId}/recipients"
api: "API Reference"
tag: "Engagement"
operationId: "FindEngagementRecipients"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Find engagement recipients

`GET https://api.gleap.io/v3/engagements/{engagementId}/recipients`

Get the recipients of a single engagement. Returns `{ data, total }`.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `engagementId` (string, required)

## Headers

- `project` (string, required)

## Example request

```bash
curl --request GET \
  --url 'https://api.gleap.io/v3/engagements/{engagementId}/recipients' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>'
```

## Responses

### 200 (`application/json`)

Ok
